function showChar(e){
    console.log(e.keyCode);
}

function fieldValid(e, input, mode){
    // validate pressed keys
    if (e.type == 'keydown') {
        var c = String.fromCharCode(e.keyCode);
        // Allow: backspace, delete, tab, escape, enter, f5
        var codes = [46, 8, 9, 27, 13, 116];
        // Allow: dot, coma, numpad decimal separator
        if (mode == 'num' && input.value.length > 0 && !(/[\.,]/).test(input.value))
            codes.splice(6, 0, 190, 188, 110);
        if ($.inArray(e.keyCode, codes) !== -1 ||
            // Allow: Ctrl+A/C/V/X
            (e.ctrlKey === true && (/[ACVX]/i).test(c)) ||
            // Allow: home, end, left, right
            (e.keyCode >= 35 && e.keyCode <= 39) ||
            // number keys and numpad keys
            (e.keyCode >= 48 && e.keyCode <= 57) || (e.keyCode >= 96 && e.keyCode <= 105)) {
            // let it happen, don't do anything
            return;
        }
    }
    else if (e.type == 'paste'){
        var chkstr = function(str){
            var str = str || $(input).val();
            var regex = (mode == 'num') ? /^[0-9]+((\.|,)[0-9]+)?$/ : /^[0-9]+$/;
            if (!regex.test(str.trim()))
                formError(e, input, 'niepoprawny numer telefonu');
        }
        if (!e.originalEvent || !e.originalEvent.clipboardData)
            setTimeout(chkstr, 250);
        else
            chkstr(e.originalEvent.clipboardData.getData('text'));

        return true; // just allow
    }

    e.returnValue = false;
    if (e.preventDefault) e.preventDefault();
    return false;
}
function intField(e){
    return fieldValid(e, this, 'int');
}
function numField(e){
    return fieldValid(e, this, 'num');
}
function isNumber(evt) {
    evt = (evt) ? evt : window.event;
    var charCode = (evt.which) ? evt.which : evt.keyCode;
    if (charCode > 31 && (charCode < 48 || charCode > 57)) {
        return false;
    }
    return true;
}

function adjustPhoto(image, elem){
    var ctx = $(elem).closest('.photo'), img = $('img', ctx);
    if (image.width > image.height)
        img.css({width: 'auto', height: '100%'});
    else
        img.css({width: '100%', height: 'auto'});
    img.attr('src', image.src);
    $('a', ctx).show();
    return true;
}
